//---------------------------------------------------------------------------
#ifndef ActBtnH
#define ActBtnH
//---------------------------------------------------------------------------
#include <vcl\SysUtils.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Classes.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\StdCtrls.hpp>
//---------------------------------------------------------------------------
class TActiveButton : public TBitBtn
{
private:
	bool captured;
	void __fastcall MouseMove( Classes::TShiftState Shift, int X, int Y);

protected:
	Graphics::TBitmap *Glyph1,*FGlyph2;
	void __fastcall SetGlyph2( Graphics::TBitmap* val);
	void __fastcall Click( void);

public:
	__fastcall TActiveButton(TComponent* Owner);
	__fastcall ~TActiveButton();

__published:
__property Graphics::TBitmap *Glyph2={read=FGlyph2, write=SetGlyph2};
};
//---------------------------------------------------------------------------
#endif
